Bug 92131 - nautilus closes ( crashes?) on mouse movements.
Summary: nautilus closes ( crashes?) on mouse movements.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: nautilus   
(Show other bugs)
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-03 01:11 UTC by sean
Modified: 2015-01-08 00:05 UTC (History)
2 users (show)

Fixed In Version: 92053
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-04 14:22:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description sean 2003-06-03 01:11:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030531

Description of problem:
When you make any mouse movements on nautilus, it closes. It stays up if  you
use keyboard short-cuts ( or if you do nothing).

There are no error messages. If you start in a terminal, it just closes. Nothing
in /var/log/messages.  

I updated  all the stuff from rawhide:

eel2-2.2.4-2
gnome-session-2.2.2-1
metacity-2.4.55-2


I have the same problem with gedit. 

Sean

Version-Release number of selected component (if applicable):
nautilus-2.2.4-2

How reproducible:
Always

Steps to Reproduce:
1.open nautilus
2.move mouse
3.
    

Additional info:

Comment 1 Alexander Larsson 2003-06-03 07:34:16 UTC
Can you run nautilus in gdb for me?

make sure nautilus isn't running, and then run:
gdb nautilus
run
<wait for crash>
bt



Comment 2 sean 2003-06-04 00:38:59 UTC
OK. 

This GDB was configured as "i386-redhat-linux-gnu"...
(no debugging symbols found)...
(gdb) run
Starting program: /usr/bin/nautilus
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...[New Thread 1088072416 (LWP 1435)]
[New Thread 1099754960 (LWP 1442)]
[New Thread 1108147664 (LWP 1443)]
[New Thread 1116700112 (LWP 1446)]
[New Thread 1125092816 (LWP 1447)]
[New Thread 1133485520 (LWP 1448)]
[New Thread 1141878224 (LWP 1449)]
[New Thread 1150270928 (LWP 1450)]
[New Thread 1158663632 (LWP 1451)]
[New Thread 1167056336 (LWP 1452)]
[New Thread 1175449040 (LWP 1453)]
 
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1088072416 (LWP 1435)]
0x407e8502 in pango_layout_get_item_properties ()
   from /usr/lib/libpango-1.0.so.0

I have pango-1.2.2-1. The SIGSEGV seems real - tried it three times .Same result.

Then I went back to pango-1.2.1-3. It works fine now.

So - it seems it's the new pango.

sean

Comment 3 Alexander Larsson 2003-06-04 08:42:29 UTC
Owen, I haven't looked at this yet, but do you know what could cause this?


Comment 4 Alexander Larsson 2003-06-04 12:54:38 UTC
Using pango 1.2.2-2 doesn't give me this problem. Can you try that too jay?


Comment 5 Owen Taylor 2003-06-04 14:22:38 UTC
pango-1.2.2-1 was broken; there's a 1.2.2-2 there now.

Comment 6 sean 2003-06-04 21:28:36 UTC
Used pango-1.2.2-2. Works now.

jay


Note You need to log in before you can comment on or make changes to this bug.